# geos::operation::valid::QuadtreeNestedRingTester Class Reference

Tests whether any of a set of LinearRings are nested inside another ring in the set, using a Quadtree index to speed up the comparisons. More...

`#include <QuadtreeNestedRingTester.h>`

List of all members.

## Public Member Functions

| QuadtreeNestedRingTester (geomgraph::GeometryGraph *newGraph)
| Caller retains ownership of GeometryGraph.
geom::Coordinate * | getNestedPoint ()
void | add (const geom::LinearRing *ring)
bool | isNonNested ()

## Detailed Description

Tests whether any of a set of LinearRings are nested inside another ring in the set, using a Quadtree index to speed up the comparisons.

The documentation for this class was generated from the following file:

- QuadtreeNestedRingTester.h